Summary: MS Word to ASCII/Postscript converter
Name: antiword
Version: 0.37
Release: %mkrel 14
Source: %{name}-%{version}.tar.bz2
URL: http://www.winfield.demon.nl/
Patch0: antiword-find-my-files.patch
# Fix buffer overflow with malformed input files (patch from Debian, Debian
# bug #407015, rhbz#1169665, CVE-2014-8123)
Patch1:	antiword-bGetPPS-Prevent-buffer-overflow-of-atPPSlist-_szName.diff
License: GPL 
Group: Text tools 
BuildRequires: bzip2

%description
Antiword is a free MS-Word reader for Linux, BeOS and RISC OS. It converts
the documets from Word 6, 7, 97 and 2000 to ASCII and Postscript. Antiword
tries to keep the layout of the document intact.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
perl -pi -e 's|PKGBASEDIR_SUBSTITUTE_FROM_SPECFILE|\"%{_libdir}\"|g' options.c
# Use standard CFLAGS
sed -i -e "s/OPT\t=/#OPT\t=/" Makefile*
chmod a+r * Resources/* Docs/*

%build
OPT="%{optflags}" %make all

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 antiword $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}
cp -a Resources/* $RPM_BUILD_ROOT%{_libdir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
bzip2 Docs/*.1
cp Docs/*.1.bz2 $RPM_BUILD_ROOT%{_mandir}/man1

%files
%doc Docs/COPYING Docs/FAQ Docs/ReadMe Docs/Netscape
%{_bindir}/*
%{_mandir}/*/*
%{_libdir}/%{name}





%changelog
* Tue Feb 09 2016 umeabot <umeabot> 0.37-14.mga6
+ Revision: 951167
- Mageia 6 Mass Rebuild

* Fri Dec 12 2014 luigiwalser <luigiwalser> 0.37-13.mga5
+ Revision: 802809
- use updated CVE-2014-8123 patch from fedora

* Wed Oct 15 2014 umeabot <umeabot> 0.37-12.mga5
+ Revision: 744294
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.37-11.mga5
+ Revision: 677778
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.37-10.mga4
+ Revision: 502498
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.37-9.mga3
+ Revision: 345600
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 22 2011 blino <blino> 0.37-8.mga2
+ Revision: 112381
- imported package antiword


* Mon May 02 2011 Oden Eriksson <oeriksson@mandriva.com> 0.37-8mdv2011.0
+ Revision: 662766
- mass rebuild

* Mon Nov 29 2010 Oden Eriksson <oeriksson@mandriva.com> 0.37-7mdv2011.0
+ Revision: 603179
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.37-6mdv2010.1
+ Revision: 521984
- rebuilt for 2010.1

* Sat Jun 06 2009 Frederik Himpe <fhimpe@mandriva.org> 0.37-5mdv2010.0
+ Revision: 383304
- Add patch from Debian fixing buffer overflow
- Build with standard CFLAGS

* Tue Apr 07 2009 Funda Wang <fwang@mandriva.org> 0.37-4mdv2009.1
+ Revision: 364680
- rediff my file patch

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.37-4mdv2009.0
+ Revision: 220349
- rebuild

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 0.37-3mdv2008.1
+ Revision: 148448
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Apr 25 2007 Adam Williamson <awilliamson@mandriva.org> 0.37-2mdv2008.0
+ Revision: 18109
- rebuild for the modern era, slight updates to spec to suit modern policies


* Sun Jan 15 2006 Marcel Pol <mpol@mandriva.org> 0.37-1mdk
- From Moreno Manzini <moreno.mg@gmail.com>
  - 0.37

* Wed May 25 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.36.1-1mdk
- 0.36.1

* Wed Nov 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.36-1mdk
- 0.36
- regenerate & rename patch

* Tue Dec 09 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.35-1mdk
- 0.35

* Fri Mar 21 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.33-1mdk
- 0.33
- regenerate find-my-files patch

